Last Comment Bug 812974 - [Dialer] Dialer shows with screen after tap on button call, then dialer is broken
: [Dialer] Dialer shows with screen after tap on button call, then dialer is br...
Status: VERIFIED FIXED
: dogfood, smoketest, unagi
Product: Firefox OS
Classification: Client Software
Component: Gaia (show other bugs)
: unspecified
: ARM Gonk (Firefox OS)
: P1 blocker (vote)
: B2G C1 (to 19nov)
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-18 22:48 PST by David Scravaglieri [:scravag]
Modified: 2012-12-31 14:28 PST (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
+


Attachments
PR 6489 (86 bytes, text/html)
2012-11-19 02:42 PST, (inactive after 6/18) Alive Kuo [:alive]
etienne: review+
Details

Description David Scravaglieri [:scravag] 2012-11-18 22:48:12 PST
gecko-aurora: 13365a46ce7d
gaia: bd284fb5fdc540865a720e3a1394a37c487a49f9

1 - Open Dialer
2 - Compose a phone number
3 - Tap Call button

Expected:
Call occurs
screen shows dialer comm screen

Actual
Call occurs
Dialer shows white screen
* Quit dialer using long tap home then quit
-> A green bar appears on the top of the Homescreen. The green bar is persistent.
-> When launching apps, green bar remains
-> When launching Dialer, the Dialer is broker, unusable.
Comment 1 Etienne Segonzac (:etienne) 2012-11-19 01:57:45 PST
As German pointed on IRC, the regression comes from:

https://github.com/mozilla-b2g/gaia/commit/bd284fb5fdc540865a720e3a1394a37c487a49f9

Should I go ahead and make a nightly branch merge with this commit backouted?
Comment 2 (inactive after 6/18) Alive Kuo [:alive] 2012-11-19 02:42:07 PST
Created attachment 683048 [details]
PR 6489

The root cause is, assigning wrong value to mozAudioChannelType.
The strings acceptable now is 'normal', 'content', 'alarm', 'notification'. But
'ring' channel is not supported yet.
Comment 3 (inactive after 6/18) Alive Kuo [:alive] 2012-11-19 02:44:26 PST
(In reply to Alive Kuo [:alive] from comment #2)
> Created attachment 683048 [details]
> PR 6489
> 
> The root cause is, assigning wrong value to mozAudioChannelType.
> The strings acceptable now is 'normal', 'content', 'alarm', 'notification'.
> But
> 'ring' channel is not supported yet.

Actually, according to 805333, 'ringer' has been added in the list but not really supported yet, according to @marco
Comment 4 Etienne Segonzac (:etienne) 2012-11-19 02:53:39 PST
https://github.com/mozilla-b2g/gaia/pull/6489
Comment 5 mlevin 2012-12-31 14:28:37 PST
Verified fixed on Unagi Build 20121231070201

Note You need to log in before you can comment on or make changes to this bug.